"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getBrowserCreateStore = getBrowserCreateStore;
exports.getInitialState = void 0;

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var _redux = require("redux");

var _mwpApiState = require("mwp-api-state");

var _catch = _interopRequireDefault(require("../middleware/catch"));

var _fetchQueries = _interopRequireDefault(require("./fetchQueries"));

var noopMiddleware = function noopMiddleware(store) {
  return function (next) {
    return function (action) {
      return next(action);
    };
  };
};
/**
 * the initial state is delivered in the HTML from the server as a plain object
 * containing the HTML-escaped JSON string in `window.INITIAL_STATE.escapedState`.
 * unescape the text using native `textarea.textContent` unescaping
 */


var getInitialState = function getInitialState(APP_RUNTIME) {
  if (!APP_RUNTIME || !APP_RUNTIME.escapedState) {
    return;
  }

  var escape = document.createElement('textarea');
  escape.innerHTML = APP_RUNTIME.escapedState;
  var unescapedStateJSON = escape.textContent;
  return JSON.parse(unescapedStateJSON);
};

exports.getInitialState = getInitialState;

function getBrowserCreateStore(findMatches) {
  var middleware = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
  var middlewareToApply = [(0, _catch.default)(console.error), (0, _mwpApiState.getApiMiddleware)(findMatches, _fetchQueries.default)].concat((0, _toConsumableArray2.default)(middleware), [window.mupDevTools ? window.mupDevTools() : noopMiddleware]);

  var middlewareEnhancer = _redux.applyMiddleware.apply(void 0, (0, _toConsumableArray2.default)(middlewareToApply));

  var enhancer = (0, _redux.compose)(middlewareEnhancer, window.devToolsExtension ? window.devToolsExtension() : function (fn) {
    return fn;
  } // this must be last enhancer
  );
  return enhancer(_redux.createStore);
}
//# sourceMappingURL=index.js.map