"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _catch = _interopRequireDefault(require("./catch"));

describe('catchMiddleware', function () {
  it('logs an error when the `next` function throws an error', function () {
    spyOn(console, 'error');
    var theError = new Error('bad news');

    var errorThrower = function errorThrower() {
      throw theError;
    };

    var receivedError = (0, _catch.default)(console.error)()(errorThrower)({});
    expect(console.error).toHaveBeenCalled();
    expect(receivedError).toBe(theError);
  });
  it('does nothing when the store operates normally (no errors)', function () {
    spyOn(console, 'error');
    var action = {
      foo: 'bar'
    };

    var next = function next(x) {
      return x;
    };

    var receivedError = (0, _catch.default)(console.error)()(next)(action);
    expect(console.error).not.toHaveBeenCalled();
    expect(receivedError).toBe(next(action));
  });
});
//# sourceMappingURL=catch.test.js.map