"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread"));

var _selectors = require("./selectors");

describe('getFeatureFlags', function () {
  var featureFlags = {
    someBoolFlag: true,
    someStringFlag: 'Some string'
  };
  var state = {
    api: {},
    flags: featureFlags
  };
  it('should return an object that contains feature flags as keys', function () {
    expect((0, _selectors.getFeatureFlags)(state)).toEqual(featureFlags);
  });
  it('should return an empty object if flags is empty', function () {
    expect((0, _selectors.getFeatureFlags)((0, _objectSpread2.default)({}, state, {
      flags: {}
    }))).toEqual({});
  });
  it('should return an empty object if flags is non existant', function () {
    expect((0, _selectors.getFeatureFlags)((0, _objectSpread2.default)({}, state, {
      flags: undefined
    }))).toEqual({});
  });
});
//# sourceMappingURL=selectors.test.js.map