"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _querystring = _interopRequireDefault(require("querystring"));

var _fetchUtils = require("../util/fetchUtils");

var getCookieMember = function getCookieMember(memberCookie) {
  var memberObj = _querystring.default.parse(memberCookie);

  memberObj.id = memberObj.id ? parseInt(memberObj.id, 10) : 0;
  return memberObj;
}; // prod API only needs to be set once, but is only accessible from the request object


var isProdApi;
/**
 * on the server, we can proxy the API requests directly without making a
 * request to the server's own API proxy endpoint
 */

var _default = function _default(request) {
  return function () {
    return function (queries, meta, activityInfo) {
      if (isProdApi === undefined) {
        isProdApi = request.server.settings.app.api.isProd;
      }

      var member = getCookieMember(request.state[isProdApi ? 'MEETUP_MEMBER' : 'MEETUP_MEMBER_DEV']);
      var authedQueries = (0, _fetchUtils.getAuthedQueryFilter)(member);
      var validQueries = queries.filter(authedQueries);
      return request.proxyApi(validQueries, activityInfo).then(function (responses) {
        return {
          responses: responses
        };
      }) // package the responses in object like the API proxy endpoint does
      .then((0, _fetchUtils.parseQueryResponse)(validQueries));
    };
  };
};

exports.default = _default;
//# sourceMappingURL=fetchQueries.js.map