"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var fetchUtils = _interopRequireWildcard(require("../util/fetchUtils"));

var _fetchQueries = _interopRequireDefault(require("./fetchQueries"));

describe('serverFetchQueries', function () {
  // export const serverFetchQueries = request => () => queries =>
  // 	apiProxy$(request, queries)
  // 	.toPromise()
  // 	.then(parseQueryResponse(queries));
  it('calls apiProxy$ with request and queries, passes ', function () {
    var request = {
      proxyApi: jest.fn(function () {
        return Promise.resolve('response');
      }),
      trackActivity: jest.fn(),
      state: {},
      server: {
        settings: {
          app: {
            api: {}
          }
        }
      }
    };
    var queries = [];
    var expectedParsedResponse = 'foo';
    spyOn(fetchUtils, 'parseQueryResponse').and.callFake(function () {
      return function () {
        return expectedParsedResponse;
      };
    });
    return (0, _fetchQueries.default)(request)()(queries).then(function (parsedResponse) {
      expect(request.proxyApi).toHaveBeenCalledWith(queries, undefined);
      expect(parsedResponse).toEqual(expectedParsedResponse);
    });
  });
});
//# sourceMappingURL=fetchQueries.test.js.map