"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getServerCreateStore = getServerCreateStore;

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var _redux = require("redux");

var _mwpApiState = require("mwp-api-state");

var _fetchQueries = _interopRequireDefault(require("./fetchQueries"));

var _catch = _interopRequireDefault(require("../middleware/catch"));

/**
 * the server needs a slightly different store than the browser because the
 * server doesn't need to make an internal request to the api proxy endpoint
 * when the store dispatches an API request action
 *
 * @param {Object} routes the React Router routes object
 * @param {Array} middleware additional middleware to inject into store
 * @param {Object} request the Hapi request for this store
 */
function getServerCreateStore(findMatches, middleware, request) {
  var middlewareToApply = [(0, _catch.default)(function (err) {
    return request.server.app.logger.error({
      err: err,
      context: request
    });
  }), (0, _mwpApiState.getApiMiddleware)(findMatches, (0, _fetchQueries.default)(request))].concat((0, _toConsumableArray2.default)(middleware));

  var middlewareEnhancer = _redux.applyMiddleware.apply(void 0, (0, _toConsumableArray2.default)(middlewareToApply));

  return middlewareEnhancer(_redux.createStore);
}
//# sourceMappingURL=index.js.map